Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 89078 - prompt should be set "%" for (t)csh
Summary: prompt should be set "%" for (t)csh
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: setup
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-17 09:41 UTC by Takanori MATSUURA
Modified: 2014-03-17 02:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-06-07 15:08:53 UTC


Attachments (Terms of Use)

Description Takanori MATSUURA 2003-04-17 09:41:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b) Gecko/20030417

Description of problem:
In /etc/csh.cshrc, shell prompt is set to
    set prompt='[%n@%m %c]$ '
or
     set prompt=\[`id -nu`@`hostname -s`\]\$\

The symbol of "$" gives users the impression that bash is working.
So the symbol of "$" should be changed to "%".

How reproducible:
Always

Steps to Reproduce:
1. run (t)csh


Actual Results:  The symbol of the prompt is "$"

Expected Results:  The symbol of the prompt is "%"

Comment 1 Takanori MATSUURA 2004-06-07 11:53:43 UTC
Is this report silly?

Comment 2 Bill Nottingham 2004-06-07 15:08:53 UTC
It's been the way it is for so long that I'm not sure it's worth the
effort to change it.


Note You need to log in before you can comment on or make changes to this bug.